漏洞信息详情

ImageMagick 安全漏洞

  • CNNVD编号:CNNVD-201709-765
  • 危害等级: 中危
  • CVE编号: CVE-2017-14505
  • 漏洞类型: 代码问题
  • 发布时间: 2017-09-18
  • 威胁类型: 远程
  • 更新时间: 2019-05-15
  • 厂        商: imagemagick
  • 漏洞来源:

漏洞简介

ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.7-1版本中的wand/drawing-wand.c文件的DrawGetStrokeDashArray函数存在安全漏洞,该漏洞源于程序没有正确的处理特定的空数组。攻击者可利用该漏洞造成拒绝服务(MagickCore/memory.c文件的‘AcquireQuantumMemory’函数崩溃和空指针逆向引用)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/ImageMagick/ImageMagick/issues/716

参考网址

来源:CONFIRM

链接:https://github.com/ImageMagick/ImageMagick/issues/716

来源:UBUNTU

链接:https://usn.ubuntu.com/3681-1/

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2019/05/msg00015.html

来源:BID

链接:http://www.securityfocus.com/bid/100882

来源:lists.debian.org

链接:https://lists.debian.org/debian-lts-announce/2019/05/msg00015.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/80854

漏洞信息快速查询

相关漏洞

更多